Recent Topics

I just did an installation form 1.1.2 to 1.2 DB export not working



  • @Vaishali-Agarwal

    I did a completely fresh install. Then I migrated the folders as per the instructions given on your site -- using old storage files



  • @mikeyapina

    after hammering out the above mysql issue I was able to try to do an import of the old data from my current install into the new 1.2 but now when I import I get this error ..

    Error
    SQL query: Documentation

    CREATE DEFINER=storeadmin@% FUNCTION get_url_path_of_category (categoryId INT, localeCode VARCHAR(255)) RETURNS VARCHAR(255) CHARSET latin1 BEGIN

                DECLARE urlPath VARCHAR(255);
    
                IF NOT EXISTS (
                    SELECT id
                    FROM categories
                    WHERE
                        id = categoryId
                        AND parent_id IS NULL
                )
                THEN
                    SELECT
                        GROUP_CONCAT(parent_translations.slug SEPARATOR '/') INTO urlPath
                    FROM
                        categories AS node,
                        categories AS parent
                        JOIN category_translations AS parent_translations ON parent.id = parent_translations.category_id
                    WHERE
                        node._lft >= parent._lft
                        AND node._rgt <= parent._rgt
                        AND node.id = categoryId
                  [...]
    

    MySQL said: Documentation

    #1304 - FUNCTION get_url_path_of_category already exists



  • @mikeyapina

    Ok I got passed that by doing new imports ..

    But now everything is back. Without all the new features.

    In fact none of them are in this 1.2 build



  • @mikeyapina
    could you please describe about your database server? regarding the above issue in mysql.



  • @mikeyapina
    features have not come in your site as your upgraded is not done successfully.



  • @Vaishali-Agarwal I followed the instructions provided. In fact, I did a fresh install to make sure I got the right build first. So what instructions are you speaking to? These are the instructions I used,

    https://github.com/bagisto/bagisto-standard



  • @mikeyapina
    Okay I noticed it, so in which step you're facing issue in a fresh install??



  • @Vaishali-Agarwal

    these are the exact commands I did as per my history

    composer create-project bagisto/bagisto-standard
    cd bagisto-standard
    sudo php artisan bagisto:install
    sudo vi .env
    sudo php artisan bagisto:install
    php artisan vendor:publish
    php artisan storage:link
    sudo cp -r ../bagisto/storage /storage
    sudo composer dump-autoload

    bagisto is the old 1.1.2 bagisto-standard is the new

    The current new build looks like the old in the admin every way. Noting is different. This makes me wonder if it is the same I should at minimum get a notification to upgrade. Which I do not as well.



  • @mikeyapina
    All the commands you followed are in the right way!
    you didn't get notification in newer one because the older bagisto v1.1.2 is might be not installed using bagisto-standard.

    Please check the older bagisto whether it contains the upgradedVersion Package inside the package/Webkul folder??



  • @Vaishali-Agarwal said in I just did an installation form 1.1.2 to 1.2 DB export not working:

    upgradedVersion

    I did not locate an upgradedVersion on the old build but did here in this new one

    /var/www/html/bagisto-standard/packages/Webkul/UpgradeVersion



  • @mikeyapina
    If your older version doesn't contain earlier UpgradedVersion then you didn't get a notification on your admin dashboard when a new release came out.

    Now it's added on your new Bagisto then when another higher version will out in future then you will get the notification.



  • @Vaishali-Agarwal said in I just did an installation form 1.1.2 to 1.2 DB export not working:

    n another higher

    Yes that be great if this version had the upgrades!!! but this 1.2 version I have does not! How do I get it?Screen Shot 2020-09-09 at 12.10.28 AM.png Screen Shot 2020-09-09 at 12.12.03 AM.png



  • @mikeyapina said in I just did an installation form 1.1.2 to 1.2 DB export not working:

    sudo composer dump-autoload

    this is your install .. sadly not very good

    select * from channels where hostname in ('mom.ov3rt.com', 'http://mom.ov3rt.com', 'https://mom.ov3rt.com')
    460μs
    /vendor/prettus/l5-repository/src/Prettus/Repository/Eloquent/BaseRepository.php:564
    store
    select * from channels limit 1
    380μs
    /vendor/laravel/framework/src/Illuminate/Support/Traits/ForwardsCalls.php:23
    store
    select * from core_config where code = 'general.design.admin_logo.favicon' and channel_code = 'default'
    410μs
    /vendor/prettus/l5-repository/src/Prettus/Repository/Eloquent/BaseRepository.php:545
    store
    select * from locales where code = 'en'
    330μs
    /vendor/prettus/l5-repository/src/Prettus/Repository/Eloquent/BaseRepository.php:524
    store
    select * from core_config where code = 'general.design.admin_logo.logo_image' and channel_code = 'default'
    410μs
    /vendor/prettus/l5-repository/src/Prettus/Repository/Eloquent/BaseRepository.php:545
    store
    select * from core_config where code = 'general.design.admin_logo.logo_image' and channel_code = 'default'
    390μs
    /vendor/prettus/l5-repository/src/Prettus/Repository/Eloquent/BaseRepository.php:545
    store
    select * from core_config where code = 'general.content.footer.footer_toggle' and channel_code = 'default' and locale_code = 'en'
    400μs
    /vendor/prettus/l5-repository/src/Prettus/Repository/Eloquent/BaseRepository.php:545
    store
    select * from core_config where code = 'general.content.footer.footer_content' and channel_code = 'default' and locale_code = 'en'
    400μs
    /vendor/prettus/l5-repository/src/Prettus/Repository/Eloquent/BaseRepository.php:545
    store
    select * from core_config where code = 'general.content.footer.footer_content' and channel_code = 'default' and locale_code = 'en'
    410μs
    /vendor/prettus/l5-repository/src/Prettus/Repository/Eloquent/BaseRepository.php:545
    store



  • clearly something is wrong with you install scripts everything is there

    The [/var/www/html/bagisto/public/storage] link already exists.
    The links have been created.
    [email protected]:/var/www/html/bagisto$ sudo php artisan storage:link
    The [/var/www/html/bagisto/public/storage] link already exists.
    The links have been created.
    [email protected]:/var/www/html/bagisto$ cd storage
    [email protected]:/var/www/html/bagisto/storage$ cd app
    [email protected]:/var/www/html/bagisto/storage/app$ ls
    db-blade-compiler public
    [email protected]:/var/www/html/bagisto/storage/app$


Log in to reply